# Welcome\!

This game was the result of the "Software Engineering Lab Course in JavaScript" at the university of munich. In a team of 4 people we had to implement a simple muliplayer online game.

## How to start the game?
1. Clone the local repository:  
"git clone https://github.com/CedrikHarrich/FreakyFighters.git"
2. Install npm packages:  
"npm install"  
3. Compile the typescript files for the client:  
"npm run watch-client"  
4. start the server:  
"npm run server"  
5. Connect the clients and play the game:  
Type "localhost:3000" into your browser to connect to the server. If you are not on the hosting device type in  "\<localIP-Adresse\>:3000" whereas "<localIP-Adress>" is the local IP Adress of the hosting server.
If both players are connected press "k" to signal that you are ready. 
6. Have fun!
